Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 51)
@@ -2057,268 +2581,152 @@
 
                 // 参照オブジェクトをボタンに変換
                 System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
-
-                //---- 1列目
-                if (btnKey.Name == "btnMaster_00")
+                int ButtonCol = tblLayoutConstruction.GetColumn(btnKey);                    // 列取得（Ｘ）
+                int ButtonRow = tblLayoutConstruction.GetRow(btnKey);                       // 行取得（Ｙ）
+                switch (ButtonRow)
                 {
-                    //　管理マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.System);
-                }
-                else if (btnKey.Name == "btnMaster_01")
-                {
-                    //  工事種別マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionType);
-                }
-                else if (btnKey.Name == "btnMaster_02")
-                {
-                    //  区分マスタ（工事経費名称）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Division);
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.DivisionMasterCodeDefine.ConstructionExpenses);
-                }
-                else if (btnKey.Name == "btnMaster_03")
-                {
+                    case 1:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 行動予定入力
+                                // 行動予定入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ActionSchdule);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 車両予約入力
+                                int VehicleCode = 0;
+                                if (VehicleCodeSelector(ref VehicleCode))
+                                {
+                                    // 車両予約入力
+                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.VehicleSchdule);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(VehicleCode);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                }
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 3:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 7:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 工事基本情報入力
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                }
-                else if (btnKey.Name == "btnMaster_04")
-                {
-                    //　カレンダーマスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Calender);
-                }
-                else if (btnKey.Name == "btnMaster_05")
-                {
-                    // 期限マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.TermMaster);
-                }
-                else if (btnKey.Name == "btnMaster_18")
-                {
-                }
-                else if (btnKey.Name == "btnMaster_21")
-                {
-                    // 売上グラフデータ入力
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SaleSalesGraphData);
-                }
-                else if (btnKey.Name == "btnMaster_24")
-                {
-                    // 部署別台帳まとめ一覧
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnMaster_06")
-                {
-                    //  部署マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Department);
-                }
-                else if (btnKey.Name == "btnMaster_07")
-                {
-                    // 担当者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.PersonInCharge);
-                }
-                else if (btnKey.Name == "btnMaster_08")
-                {
-                    // 常雇者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.AlwaysEmployment);
-                }
-                else if (btnKey.Name == "btnMaster_09")
-                {
-                    // 車両マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.VehicleMaster);
-                }
-                else if (btnKey.Name == "btnMaster_10")
-                {
-                    //  法人格マスタ
-                    ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.BusinessType);
-                }
-                else if (btnKey.Name == "btnMaster_11")
-                {
-                    //  区分マスタ（発注者区分）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Division);
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.DivisionMasterCodeDefine.OrderDivision);
-                }
-                else if (btnKey.Name == "btnMaster_19")
-                {
-                    //  発注者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Orderers);
-                }
-                else if (btnKey.Name == "btnMaster_22")
-                {
-                    //  仕入先マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Suppliers);
-                }
-                else if (btnKey.Name == "btnMaster_25")
-                {
-                    //  承認経路マスタ
-                    ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ApprovalRoute);
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnMaster_12")
-                {
-                    // 協力会社マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractor);
-                }
-                else if (btnKey.Name == "btnMaster_13")
-                {
-                    // 協力会社工種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorItem);
-                }
-                else if (btnKey.Name == "btnMaster_14")
-                {
-                    // 協力会社職種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory);
-                }
-                else if (btnKey.Name == "btnMaster_15")
-                {
-                }
-                else if (btnKey.Name == "btnMaster_16")
-                {
-                    //  単位マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Unit);
-                }
-                else if (btnKey.Name == "btnMaster_17")
-                {
-                    //  構成マスタ（大項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Component);
-                }
-                else if (btnKey.Name == "btnMaster_20")
-                {
-                    //  構成・工種関連マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ComponentLink);
-                }
-                else if (btnKey.Name == "btnMaster_23")
-                {
-                    //  工種マスタ（中項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionItem);
-                }
-                else if (btnKey.Name == "btnMaster_26")
-                {
-                    //  作業マスタ（小項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionWork);
-                }
-                // 処理実行
-                ClsExcute.ProcesscExecute();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                // 再表示
-                DisplayDataLoad();
-                // 自画面表示
-                if (CommonMotions.ProductionExecution) this.Visible = true;
-            }
-        }
-        #endregion
+                                //　工事基本情報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 工事施工予算入力
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-        #region マスタメンテメニューボタン押下（管理者マスタ）
-        /// <summary>
-        /// マスタメンテメニューボタン押下
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnMaster1_Click(object sender, EventArgs e)
-        {
-            try
-            {
-                // 参照オブジェクトをボタンに変換
-                System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
-
-                // 自画面非表示
-                if (CommonMotions.ProductionExecution) this.Visible = false;
-
-                //---- 1列目
-                if (btnKey.Name == "btnMaster1_00")
-                {
-                    // 担当者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.PersonInCharge);
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事施工予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 9:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 13:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                #region 業者・職人手間請求確認（手間業者）
+                                // 業者・職人手間請求確認（手間業者）
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestSummaryList);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.LabourKinds.Labor);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 業者・職人手間請求確認（通常業者）
+                                // 業者・職人手間請求確認（通常業者）
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestSummaryList);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.LabourKinds.Normal);
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                #region 取引先入金入力
+                                // 入金確認
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation);
+                                break;
+                                #endregion
+                        }
+                        break;
+                    case 17:
+                        switch (ButtonCol)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
                 }
-                else if (btnKey.Name == "btnMaster1_01")
-                {
-                    // 常雇者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.AlwaysEmployment);
-                }
-                else if (btnKey.Name == "btnMaster1_02")
-                {
-                    // 車両マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.VehicleMaster);
-                }
-                else if (btnKey.Name == "btnMaster1_03")
-                {
-                    // 期限マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.TermMaster);
-                }
-                else if (btnKey.Name == "btnMaster1_04")
-                {
-                    //  構成マスタ（大項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Component);
-                }
-                else if (btnKey.Name == "btnMaster1_05")
-                {
-                    //  構成・工種関連マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ComponentLink);
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnMaster1_06")
-                {
-                    //  名称マスタ（発注者区分）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Division);
+                if (NowPoint < 0) return;
 
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.DivisionMasterCodeDefine.OrderDivision);
-                }
-                else if (btnKey.Name == "btnMaster1_07")
-                {
-                    //  発注者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Orderers);
-                }
-                else if (btnKey.Name == "btnMaster1_08")
-                {
-                    //  仕入先マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Suppliers);
-                }
-                else if (btnKey.Name == "btnMaster1_09")
-                {
-                }
-                else if (btnKey.Name == "btnMaster1_10")
-                {
-                    //  工種マスタ（中項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionItem);
-                }
-                else if (btnKey.Name == "btnMaster1_11")
-                {
-                    //  工種マスタ（中項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionItem);
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnMaster1_12")
-                {
-                    // 協力会社マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractor);
-                }
-                else if (btnKey.Name == "btnMaster1_13")
-                {
-                    // 協力会社工種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorItem);
-                }
-                else if (btnKey.Name == "btnMaster1_14")
-                {
-                    // 協力会社職種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory);
-                }
-                else if (btnKey.Name == "btnMaster1_15")
-                {
-                    //  単位マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Unit);
-                }
-                else if (btnKey.Name == "btnMaster1_16")
-                {
-                    //  作業マスタ（小項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionWork);
-                }
-                else if (btnKey.Name == "btnMaster1_17")
-                {
-                }
                 // 処理実行
                 ClsExcute.ProcesscExecute();
+                return;
             }
             catch (Exception ex)
             {
@@ -2327,7 +2735,7 @@
             finally
             {
                 // 再表示
-                DisplayDataLoad();
+                if (NowPoint > -1) DisplayDataLoad();
                 // 自画面表示
                 if (CommonMotions.ProductionExecution) this.Visible = true;
             }
@@ -2334,198 +2742,25 @@
         }
         #endregion
 
-        #region マスタメンテメニューボタン押下（所属長）
+        #region マスタメンテメニューボタン押下
         /// <summary>
         /// マスタメンテメニューボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnMaster2_Click(object sender, EventArgs e)
+        private void btnMaster_Click(object sender, EventArgs e)
         {
             try
             {
-                // 参照オブジェクトをボタンに変換
-                System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
-
                 // 自画面非表示
                 if (CommonMotions.ProductionExecution) this.Visible = false;
 
-                //---- 1列目
-                if (btnKey.Name == "btnMaster2_00")
-                {
-                    //  工種マスタ（中項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionItem);
-                }
-                else if (btnKey.Name == "btnMaster2_01")
-                {
-                    //  作業マスタ（小項目）
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ConstructionWork);
-                }
-                else if (btnKey.Name == "btnMaster2_02")
-                {
-                    //  単位マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Unit);
-                }
-                else if (btnKey.Name == "btnMaster2_03")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_04")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_05")
-                {
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnMaster2_06")
-                {
-                    //  発注者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Orderers);
-                }
-                else if (btnKey.Name == "btnMaster2_07")
-                {
-                    //  仕入先マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Suppliers);
-                }
-                else if (btnKey.Name == "btnMaster2_08")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_09")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_10")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_11")
-                {
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnMaster2_12")
-                {
-                    // 協力会社マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractor);
-                }
-                else if (btnKey.Name == "btnMaster2_13")
-                {
-                    // 協力会社工種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorItem);
-                }
-                else if (btnKey.Name == "btnMaster2_14")
-                {
-                    // 協力会社職種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory);
-                }
-                else if (btnKey.Name == "btnMaster2_15")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_16")
-                {
-                }
-                else if (btnKey.Name == "btnMaster2_17")
-                {
-                }
-                // 処理実行
-                ClsExcute.ProcesscExecute();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                // 再表示
-                DisplayDataLoad();
-                // 自画面表示
-                if (CommonMotions.ProductionExecution) this.Visible = true;
-            }
-        }
-        #endregion
-
-        #region マスタメンテメニューボタン押下（利用者マスタ）
-        /// <summary>
-        /// マスタメンテメニューボタン押下
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnMaster3_Click(object sender, EventArgs e)
-        {
-            try
-            {
                 // 参照オブジェクトをボタンに変換
                 System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
 
-                // 自画面非表示
-                if (CommonMotions.ProductionExecution) this.Visible = false;
+                int ProcessNo = CommonMotions.cnvInt(btnKey.Name);
+                int NowPoint = ClsExcute.NextProcess(ProcessNo);
 
-                //---- 1列目
-                if (btnKey.Name == "btnMaster3_00")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_01")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_02")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_03")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_04")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_05")
-                {
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnMaster3_06")
-                {
-                    //  発注者マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Orderers);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
-                }
-                else if (btnKey.Name == "btnMaster3_07")
-                {
-                    //  仕入先マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.Suppliers);
-                }
-                else if (btnKey.Name == "btnMaster3_08")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_09")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_10")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_11")
-                {
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnMaster3_12")
-                {
-                    // 協力会社マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractor);
-                }
-                else if (btnKey.Name == "btnMaster3_13")
-                {
-                    // 協力会社工種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorItem);
-                }
-                else if (btnKey.Name == "btnMaster3_14")
-                {
-                    // 協力会社職種マスタ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory);
-                }
-                else if (btnKey.Name == "btnMaster3_15")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_16")
-                {
-                }
-                else if (btnKey.Name == "btnMaster3_17")
-                {
-                    // テスト->ダイアログ
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.MaintenanceExecuteNo.ComponentLink);
-                }
                 // 処理実行
                 ClsExcute.ProcesscExecute();
             }
@@ -2603,12 +2838,12 @@
         }
         private void button1_Click(object sender, EventArgs e)
         {
-            m_tabManager.ChangeTabPageVisible((int)FrmMenuTabNameEnum.MentenanceMenu, false);
+            m_tabManager.ChangeTabPageVisible((int)TabNameEnum.MentenanceMenu, false);
         }
 
         private void button2_Click(object sender, EventArgs e)
         {
-            m_tabManager.ChangeTabPageVisible((int)FrmMenuTabNameEnum.MentenanceMenu, true);
+            m_tabManager.ChangeTabPageVisible((int)TabNameEnum.MentenanceMenu, true);
         }
         #endregion
 
